Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000422TestLinkTest Specificationpublic2006-04-07 17:002008-06-26 15:51
Reporterjsm 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version 
Fixed in Version 
Summary0000422: [multiple steps] - possibility to split execution steps
DescriptionI'd like to have a possibility to split the execution steps of a testcase more granular. Ideally they could be separated in preparation, execution and postprocessing (three windows instead of one).
For preparation it should be selectable when these steps have to be done. Either just before the execution or at the start of a test plan. The same should be possible for the results: they may/can be checked immediately after execution or at the end of the test suite.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0000507closedfman [multiple steps] - Test Specification: Separete steps and results 
related to 0001310closedfman [multiple steps] - Multiple test steps and expected results 

-  Notes
(0000796)
fman (administrator)
2006-04-10 16:47

Please create an account before reporting an issue.
We will ignore anonymous reporting
(0000801)
jsm (reporter)
2006-04-11 11:10

Ok, here I am ;-)
The report is now accepted or do I have to generate a new one?
(0000802)
fman (administrator)
2006-04-11 12:59

1. Now is OK. Thanks
2. we will think about your suggestion. Now we are working on the new version 1.7
(0000948)
rubym (reporter)
2006-08-28 11:01

This issue is in high importance in my openion.
In most of the companies I worked for till today, all the test documents has resulution to the test step stage. in the TestLink product - it works only in resulution of test case.

I think that this issue is really in high priority.
(0000949)
fman (administrator)
2006-08-28 13:49

This issue will be analized only after release of 1.7, because we are working in a lot of new features.
(0003030)
dzko (reporter)
2008-01-23 17:04

In real life I am using Blocked status to fix the situation that test is in process too and in Notes I can add comment what really I am doing with test.

And I can get that in reports performing full query metrics. So I do not see big problem here, because You can perform test case many times for one build in v.1.7.1.

But what I see as really necessary is to add more statuses for execution of test case. Because in real life here we have lot of situation when we have bug's for concrete test case (so honesty we cannot appoint test case as passed), but build is still acceptable for implementation with certain conditions.
So for my opinion here would be very necessary to have additional status conditionally acceptable or something like this.

So for my opinion status list should be - Passed, Failed, Blocked, In process, Conditionally acceptable, Not run.
(0003031)
fman (administrator)
2008-01-23 17:18

we can add as much as needed statuses, at least on execution page.
issue is:
we need to refactor reporting pages, because today they are not able to manage new statuses.
OK we have half of solution, we will work to have a full solution
(0003039)
dzko (reporter)
2008-01-24 00:13

Yes I checked $g_tc_status in const.inc.php. It seems fine for Execute page. I will check that.
Thanks!
(0003152)
dzko (reporter)
2008-01-31 00:04
edited on: 2008-01-31 00:05

We verified adding of already prepared statuses Not Available ("not_available") and "unknown" and one more "Conditionally acceptable" - ("cond_accept", 'c') to TestLink v.1.7.3.

Everything works fine in Execution pane and under Results /Test Report too can accomodate these new statuses. To use this in production we only need to add all statuses to Query Metrics still. Otherwise everything seems fine.

Maybe somebody already has everything done for Query Metrics?

(0003731)
mhavlat (reporter)
2008-06-26 15:51

Guys, clean-up is here. Please, monitor the issue 1310 for next progress. I marked this one as duplicated.
Discussed result statuses are already solved, so there is not additional important information.

- Issue History
Date Modified Username Field Change
2006-04-07 17:00 anonymous New Issue
2006-04-10 16:47 fman Note Added: 0000796
2006-04-10 16:50 fman Note Added: 0000797
2006-04-11 11:10 jsm Note Added: 0000801
2006-04-11 12:58 fman Reporter anonymous => jsm
2006-04-11 12:59 fman Note Added: 0000802
2006-04-11 12:59 fman Note Deleted: 0000797
2006-08-28 11:01 rubym Note Added: 0000948
2006-08-28 13:49 fman Note Added: 0000949
2007-01-20 22:46 schlundus Project Testlink 1.6.x => TestLink
2007-09-24 05:11 mhavlat Relationship added related to 0000507
2008-01-23 15:29 fman Relationship added related to 0001310
2008-01-23 15:29 fman Status new => acknowledged
2008-01-23 17:04 dzko Note Added: 0003030
2008-01-23 17:15 fman Status acknowledged => assigned
2008-01-23 17:15 fman Assigned To => fman
2008-01-23 17:18 fman Note Added: 0003031
2008-01-24 00:13 dzko Note Added: 0003039
2008-01-30 21:02 fman Category New Feature => Test Specification
2008-01-30 21:02 fman Summary possibility to split execution steps => [multiple steps] - possibility to split execution steps
2008-01-31 00:04 dzko Note Added: 0003152
2008-01-31 00:05 dzko Note Edited: 0003152
2008-06-26 15:51 mhavlat Status assigned => closed
2008-06-26 15:51 mhavlat Note Added: 0003731
2008-06-26 15:51 mhavlat Resolution open => duplicate



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker